# Generated from mongo_mapper_parallel-1.0.9.3.gem by gem2rpm -*- rpm-spec -*-
%global gem_name mongo_mapper_parallel

Name: rubygem-%{gem_name}
Version: 1.0.9.3
Release: 1%{?dist}
Summary: Extremely fast non-blocking parallel javascripts on entire MongoDB collection with MongoMapper adapter
License: MIT
URL: http://github.org/JonathanRaiman/mongo_mapper_parallel
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
Mongo Mapper Parallel can perform MapReduce-like operations on an entire
collection in parallel. This is a non-blocking operation, so the scripts can
invoke database methods (db.collection.update, db.collection.insert, etc...)
at blazing speed.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}


%changelog
* Tue Apr 19 2022 mockbuilder - 1.0.9.3-1
- Initial package
